package J20250722;

/**
 * @author WanJl
 * @version 1.0
 * @title Main
 * @description
 * @create 2025/7/22
 */
public class Main {
    public static void main(String[] args) {
        Student s1=new Student(1,"张三",25);
        Student s2=new Student(1,"张三",25);
        System.out.println(s1==s2);
        System.out.println(s1.equals(s2));
        System.out.println(s1);
        System.out.println(s2);
        System.out.println(s1.hashCode());  //hashCode值
        System.out.println(s2.hashCode());
        System.out.println(s1.hashCode());  //hashCode值
        System.out.println(s2.hashCode());
        System.out.println(s1.hashCode());  //hashCode值
        System.out.println(s2.hashCode());
        System.out.println(s1.hashCode());  //hashCode值
        System.out.println(s2.hashCode());
        System.out.println(s1.hashCode());  //hashCode值
        System.out.println(s2.hashCode());
        System.out.println(s1.hashCode());  //hashCode值
        System.out.println(s2.hashCode());
        System.out.println(s1.hashCode());  //hashCode值
        System.out.println(s2.hashCode());
        System.out.println(s1.hashCode());  //hashCode值
        System.out.println(s2.hashCode());
        System.out.println(s1.hashCode());  //hashCode值
        System.out.println(s2.hashCode());
        System.out.println(s1.hashCode());  //hashCode值
        System.out.println(s2.hashCode());

    }
}
